import request from '@/utils/request'

// 查询标签模板信息列表
export function listLabelModel(query) {
  return request({
    url: '/label/labelModel/list',
    method: 'get',
    params: query
  })
}

// 查询下拉列表
export function select() {
  return request({
    url: '/label/labelModel/select',
    method: 'get'
  })
}

// 查询标签模板信息详细
export function getLabelModel(id) {
  return request({
    url: '/label/labelModel/' + id,
    method: 'get'
  })
}

// 新增标签模板信息
export function addLabelModel(data) {
  return request({
    url: '/label/labelModel',
    method: 'post',
    data: data
  })
}

// 修改标签模板信息
export function updateLabelModel(data) {
  return request({
    url: '/label/labelModel',
    method: 'put',
    data: data
  })
}

// 删除标签模板信息
export function delLabelModel(id) {
  return request({
    url: '/label/labelModel/' + id,
    method: 'delete'
  })
}
